{% extends '@SonataAdmin/standard_layout.html.twig' %}

{% block sonata_admin_content %}
<h2>LDAP Subsystems</h2>

<div class="row">
    {% for subsystem in subsystems %}
    <div class="col-sm-6 col-md-3">
        {% if subsystem.subsystem is defined %}
        <div class="panel panel-default">
            <div class="panel-heading">
                <h4 class="card-title">{{ subsystem.subsystem.name }}</h4>
                <p class="card-text">
                    <small class="text-muted">
                        {{ subsystem.subsystem.commonName }},
                        <attr title="3-letter alias">{{ subsystem.subsystem.firstAttribute('xgrasat3lAlias') }}</attr>,
                        <attr title="OCDT alias">{{ subsystem.subsystem.firstAttribute('xgrasatConcurrentAlias') }}</attr>,
                        <attr title="OCDT full name">{{ subsystem.subsystem.firstAttribute('xgrasatConcurrentName') }}</attr>
                    </small>
                </p>
            </div>
            {% else %}
            <div class="panel panel-danger">
                <div class="panel-heading">
                    <h4 class="card-title"><em>Not in a subsystem</em></h4>
                </div>
                {% endif %}

                <ul class="list-group list-group-flush">
                    {% for user in subsystem.users %}
                        <li class="list-group-item">{{ user.commonName }}</li>
                    {% endfor %}
                </ul>
            </div>
        </div>
        {% endfor %}
    </div>

    {% endblock %}
